> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/sub-account/get-bills/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get sub-account transfer bills GET https://www.okx.com/api/v5/asset/subaccount/bills Retrieve the funding-account transfer records between the master account and its sub-accounts. Applies only to master accounts and returns records for the last 3 months. Reference: https://okx-demo.ferndocs.com/api/api-reference/sub-account/get-bills ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `ccy` (string, optional) — Currency, e.g. BTC. - `type` (enum, optional) — Transfer type. 0: Transfers from master account to sub-account; 1: Transfers from sub-account to master account. - Allowed values: `0`, `1` - `subAcct` (string, optional) — Sub-account name. - `after` (string, optional) — Pagination of data to return records earlier than the requested ts, Unix timestamp in milliseconds. - `before` (string, optional) — Pagination of data to return records newer than the requested ts, Unix timestamp in milliseconds. - `limit` (string, optional) — Number of results per request. The maximum is 100 and the default is 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AssetSubaccountBillsGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AssetSubaccountBillsGetResponsesContentApplicationJsonSchemaDataItems - `billId` (string, optional) — Bill ID. - `ccy` (string, optional) — Transfer currency. - `amt` (string, optional) — Transfer amount. - `type` (string, optional) — Transfer type. 0: Transfers from master account to sub-account; 1: Transfers from sub-account to master account. - `subAcct` (string, optional) — Sub-account name. - `ts` (string, optional) — Transfer time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "billId": "89887685", "ccy": "USDT", "amt": "1.1", "type": "0", "subAcct": "hahatest1", "ts": "1712560959000" } ] } ``` **SDK Code** ```python subAccount_getBills_example import requests url = "https://www.okx.com/api/v5/asset/subaccount/bills" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript subAccount_getBills_example const url = 'https://www.okx.com/api/v5/asset/subaccount/bills'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go subAccount_getBills_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/asset/subaccount/bills" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby subAccount_getBills_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/asset/subaccount/bills") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java subAccount_getBills_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/asset/subaccount/bills") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php subAccount_getBills_example request('GET', 'https://www.okx.com/api/v5/asset/subaccount/bills', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp subAccount_getBills_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/asset/subaccount/bills"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift subAccount_getBills_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/subaccount/bills")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```